Subject: Re: IETF Last Call on draft-funk-eap-ttls-v0-04.txt

From: Bernard Aboba <[email-masked]>
Date: Tue, 29 Apr 2008 12:15:31 -0700

Overall this document looks good.  I only have two minor comments.
 
Section 12.2
 
"For EAP-TTLSv0, the Peer-Id is null."
 
I agree that the Peer-Id is null in the case where there is server-onlyauthentication and no cryptographic binding, since in this case, theidentity of the peer entity contributing to the keying material is not known. 
 
However, when client certificate authentication is used in Phase 1, Iwould suggest that the Peer-Id is defined as in [RFC5216] Section 5.2. 
NITs:
Change [RFC2716bis] to [RFC5216] everywhere. 

_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Jari Arkko <[email-masked]>
Date: Tue, 29 Apr 2008 22:25:11 +0300

Thanks for your review, Bernard. Paul is about to prepare a new version
based on IESG review comments. Can you take care of Bernard's
suggestions at the same time?

Jari

Bernard Aboba kirjoitti:
> I agree that the Peer-Id is null in the case where there is server-only
> authentication and no cryptographic binding, since in this case, the
> identity of the peer entity contributing to the keying material is not
> known.
>  
> However, when client certificate authentication is used in Phase 1, I
> would suggest that the Peer-Id is defined as in [RFC5216] Section 5.2.
>
> NITs:

---

From: "Paul Funk" <[email-masked]>
Date: Tue, 29 Apr 2008 16:12:06 -0400

OK.

> -----Original Message-----
> From: Jari Arkko [mailto:[email-masked]]
> Sent: Tuesday, April 29, 2008 3:25 PM
> To: Bernard Aboba
> Cc: [email-masked]; [email-masked]
> Subject: Re: IETF Last Call on draft-funk-eap-ttls-v0-04.txt
>